<style scoped>
.field-contact > * {
	display: block;
}
</style>

<template>
	<li class="field-contact">
		<span
			>{{ contact.name }} <span v-if="contact.contactType">({{ contact.contactType }})</span></span
		>
		<a v-if="contact.email" :href="`mailto:${contact.email}`">{{ contact.email }}</a>
		<a v-if="contact.telephone" :href="`tel:${contact.telephone}`">{{ contact.telephone }}</a>
		<span v-if="contact.organization">{{ contact.organization }}</span>
	</li>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';
import { ContactPoint } from '@/store/types';

export default defineComponent({
	props: {
		contact: {
			type: Object as () => ContactPoint,
			required: true,
		},
	},
});
</script>
